Draft Line/jp

From FreeCAD Documentation
Jump to navigation Jump to search

Draft Line.svg {{{Name/jp}}}

メニュー位置
Draft -> Line
ワークベンチ
製図, 建築
デフォルトのショートカット
L I
参照
Draft Wire


説明

Lineツールは現在の作業平面上に二点を通る直線を作成します。作成にはTasksタブに前もって設定されているライン幅と色が使用されます。 二点を入力した時点で終了する以外はLineツールはDraft Wireツールとまったく同じように動作します。

Draft Line example.jpg

使用方法

  1. Draft Line.png Draft Lineボタンを押すか、Lキーを押した後でIキーを押します
  2. 3Dビュー上で一つ目の点をクリックするか、座標を入力します
  3. 3Dビュー上で二つ目の点をクリックするか、座標を入力します

オプション

  • 一つ目の点を入力した後でXY、またはZを押すと二つ目の点が指定された軸上に拘束されます。
  • 手入力で座標を指定する場合は各X、Y、Z成分を数値で入力してからENTERを押してください。
  • Rを押すか、チェックボックスをクリックしてRelativeボタンのチェック/非チェックを切り替えてください。相対モードがオンの場合、二つ目の点の座標は一つ目の点に対する相対値になります。オフの場合は原点(0,0,0)からの絶対値です。
  • Tキーを押すかContinueボタンのチェックボックスをクリックしてチェック/非チェックを切り替えてください。継続モードがオンの場合は二つ目の点を入力後にLineツールが再開し、再度Lineボタンを押さずに続けて線分の入力を行うことができます。
  • 描画中にCTRLキーを押すと距離と無関係に最も近いスナップ位置に操作点をスナップすることができます。
  • 描画中にSHIFTを押すと二つ目の点が一つ目の点に対して水平または垂直方向に拘束されます。
  • 最後に入力した点を取り消すにはCTRL+ZまたはDraft UndoLine.png Undoボタンを押してください
  • 現在の***コマンドを中断するにはESCキーまたはCancelボタンを押してください。

プロパティ

  • DataStart: 始点
  • DataEnd: 終点

スクリプト処理

以下の関数を使うことでマクロとPythonコンソールからLineツールを使用することが可能です。

makeLine (Vector, Vector) : 二点間に直線を作成します。
現在の製図ライン幅と色が使用されます。この関数は新しく作成されたオブジェクトを返します。

例:

import FreeCAD, Draft
Draft.makeLine(FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,0,0))
ご利用可能な言語: Flag-en.jpg Flag-es.jpg Flag-fr.jpg Flag-it.jpg